﻿/*
* 共三种传图片方式，file,image_url,image_id必须选择其中的一个，
* 采用抓取网络图片方式时选取此参数,支持的文件类型包括：静态图片或图片压缩包(jpg, jpeg, bmp, png大小不超过10M，zip大小不超过50M)，url数组(数量不超过20)
* image_id时选取此参数，可在多个接口间共享，减少图片传输的带宽，支持的类型包括：image_id字符串或字符串数组(数量不超过20)
* 将图片二进制数据写入到HttpQuest body中，则不需要上传参数，否则需要上传image_url或image_id参数，body为空即可。
* 本示例采用将图片二进制数据写入到body中的方式
* 具体细节请参考官网接口文档：https://doc.xfyun.cn/rest_api/index.html
 */
<?php
class test{
	function xfyun(){
		    $daytime=strtotime('1970-1-1T00:00:00 UTC');
		    $api = "http://api.xfyun.cn/v1/service/v1/image_identify/sexy_filter";
		    $XAppid = "";
		    $Apikey = "";
		    $XCurTime =time();
		    $XParam ="";
		    $XCheckSum ="";
		    
		    $Param= array(
				
		    );

		    $filePath = "";
		    $fp = fopen($filePath, "rb");
		    $picContent = fread($fp,filesize($filePath));
		    $picBase64 = base64_encode($picContent);
		    
		    $Post = array(
			  'file' => $picBase64,
			);

		    //$XParam = base64_encode(json_encode($Param));
		    $XCheckSum = md5($Apikey.$XCurTime);
			
		    $headers = array();
		    $headers[] = 'X-CurTime:'.$XCurTime;
		    /*$headers[] = 'X-Param:'.$XParam;*/
		    $headers[] = 'X-Appid:'.$XAppid;
		    $headers[] = 'X-CheckSum:'.$XCheckSum;
		    $headers[] = 'Content-Type:application/x-www-form-urlencoded; charset=utf-8';
		    echo $this->http_request($api, $Post, $headers);
		}

		/**
		 * 发送post请求
		 * @param string $url 请求地址
		 * @param array $post_data post键值对数据
		 * @return string
		 */
		function http_request($url, $post_data, $headers) {		 
		  $postdata = http_build_query($post_data);
		  $options = array(
		    'http' => array(
		      'method' => 'POST',
		      'header' => $headers,
		      'content' => $postdata,
		      'timeout' => 15 * 60 // 超时时间（单位:s）
		    )
		  );
		  $context = stream_context_create($options);
		  $result = file_get_contents($url, false, $context);
			
		  echo $result; 
			
		  return "success";
		}
}
$a = new test();
$a->xfyun();
?>